Support for Operating Systems and Environments in SAS® Viya® 3.3

Supported Distributions of Linux

In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles.

The following operating systems are supported for both physical and virtual machines:

  • Red Hat Enterprise Linux 6.7 (64-bit) and later within 6.x
  • Red Hat Enterprise Linux 7.1 and later within 7.x
  • Oracle Linux 6.7 and later within 6.x
  • Oracle Linux 7.1 and later within 7.x

SAS Support for Alternative Operating Systems

See http://support.sas.com/techsup/pcn/altopsys.html for the statement of SAS’s support for operating systems other than those listed here.

Ansible

SAS requires Ansible version 2.2.x through 2.4.x. Do not use Ansible 2.5 or later.

The Ansible controller machine must be connected to the Red Hat Network.

On Red Hat Enterprise Linux, the Ansible server requires a Server-Optional subscription in addition to the Base (operating-system) subscription. The managed nodes must also be registered to the Red Hat Network, but a Base subscription is sufficient.

Python

The Ansible controller requires Python 2.6 or 2.7. Any machines in your deployment that you plan to manage with Ansible require Python 2.4 or a later release.  If you are running Python 2.4 or an earlier release on the managed nodes, the python-simplejson encoder for JSON is required. The Ansible controller also requires the following Python modules, which are provided by the Extra Package for Enterprise Linux (EPEL) if the machine is registered:

  • paramiko
  • PyYAML
  • Jinja2 2.7

SAS Visual Investigator requires Python 2.7 and does not support Python 3. Because Python is typically preinstalled on Linux, verify that Python 2.7 is installed on all machines, and that Python 3 is not defined in the system PATH or user PATH.


Supported Distributions of Windows

For SAS Event Stream Processing

The following operating systems are supported:   

  • Windows 7 Professional (64-bit version) with Service Pack 1
  • Windows Server 2008 R2 Standard Edition (64-bit version)
  • Windows Server 2012 R2 Standard Edition (64-bit version)

SAS® Viya® 3.3 Support for Cloud Foundry

SAS Visual Analytics, SAS Visual Statistics, and SAS Visual Data Mining and Machine Learning

Runtime Environment

SAS Viya requires version 253 of the Cloud Foundry Elastic Runtime environment. This framework provides application hosting, routing, authentication, service brokers and messaging. It is installed along with the Cloud Foundry 253 package.

Orchestration

BOSH Director is required to install SAS Viya components. BOSH Director provides cloud orchestration and management, including VM creation, deployment, as well as other software life cycle events. SAS Viya deployment uses BOSH v2 manifests. BOSH v255.4 or later is therefore required.

If your organization's Cloud Foundry environment with BOSH uses a mixture of both BOSH v1 and BOSH v2 deployment manifests, BOSH v257 or later is required.

Stemcell

SAS Viya requires one of the following stemcells to run in BOSH:

  • Ubuntu Trusty 3363.19 or later.
  • CentOS 3363.19 or later and based on CentOS 7.3. Stemcells that are expected to be issued in the future based on CentOS versions newer than 7.3 may not work.

SAS Visual Investigator

Runtime Environment

SAS Viya requires:

version 246 through 254 of Cloud Foundry (for SAS Visual Investigator 10.2.2 and 10.3)

version 254 through 276 of Cloud Foundry (for SAS Visual Investigator 10.3.1)

Orchestration

BOSH CLI 1.3262.26.0 or later. BOSH manifest schema v2 only.

Stemcell

CentOS 7.x – 3421.11 for SAS Visual Investigator 10.2.2

CentOS 7.x – 3345.7 for SAS Visual Investigator 10.3

CentOS 7.x – 3468.17 for SAS Visual Investigator 10.3.1  

 

Recommended Resources


Explore our training options, including on-site classroom, live web, e-learning and one-on-one mentoring.


Validate your SAS knowledge and skills by earning a globally recognized credential from SAS.


Explore documentation on topics of interest to SAS administrators.
 

Back to Top